Bug 347863 - Tooltips have animated movement but instant resize - causes glitchy appearance
Summary: Tooltips have animated movement but instant resize - causes glitchy appearance
Status: RESOLVED WORKSFORME
Alias: None
Product: frameworks-plasma
Classification: Unclassified
Component: tooltips (show other bugs)
Version: unspecified
Platform: Kubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-17 21:07 UTC by David
Modified: 2016-12-28 12:32 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David 2015-05-17 21:07:50 UTC
The system tray tooltips will slide their position and fade their icon, but the position is based on the bottom-left and the necessary resize is instant. This means that moving the mouse between icons once the tooltip is visible looks terrible (especially if the cursor passes a couple of other icons on the way) - the box flickers all over the place, and shows the wrong icon fading to the correct one.

The animations should either be extended to include the tooltip size, or disabled entirely.

Reproducible: Always

Steps to Reproduce:
1. Ensure a few tray icons are visible
2. Hover over an icon until the tooltip appears
3. Move the mouse to another icon
Comment 1 Kai Uwe Broulik 2015-05-17 21:09:28 UTC
Resizing windows isn't really something you would want to do on an X server, even less animated. This could probably be fixed without looking terribly ugly some time with Wayland.
Comment 2 David 2015-05-18 00:16:31 UTC
Wayland looks interesting. I'd suggest in the meantime that the animations are disabled entirely though; they're not adding anything until all the properties can be animated.
Comment 3 Hussam Al-Tayeb 2015-10-07 15:02:22 UTC
I posted something similar in KDE forums a while ago https://forum.kde.org/viewtopic.php?f=289&t=128612
Comment 4 Kai Uwe Broulik 2016-12-28 12:32:20 UTC
While the tooltip implementation itself hasn't changed, we now have a morphing tooltips effect in KWin which nicely transitions the popup size as wel.